# ProjectLibrary

open class ProjectLibrary

A project-level IDEA library.

## Constructors

ProjectLibrary
Link copied to clipboard
constructor()

## Properties

classes
Link copied to clipboard
open var classes: Set<File>
compilerClasspath
Link copied to clipboard
open var compilerClasspath: Set<File>
javadoc
Link copied to clipboard
open var javadoc: Set<File>
name
Link copied to clipboard
open var name: String
sources
Link copied to clipboard
open var sources: Set<File>
type
Link copied to clipboard
open var type: String

## Functions

addToNode
Link copied to clipboard
open fun addToNode(parentNode: Node, pathFactory: PathFactory)
equals
Link copied to clipboard
open fun equals(obj: Any): Boolean
hashCode
Link copied to clipboard
open fun hashCode(): Int